Page MenuHomePhabricator

codfw: ganeti2007-ganeti2008 racking and onsite setup task
Closed, ResolvedPublic

Description

This task will outline where the new ganeti systems (ordered on T161701) should be racked and setup.

Existing ganeti racking location

Row B rack B1
ganeti2001
ganeti2002

Row B rack B5
ganeti2003
ganeti2004

Row B rack B8
ganeti2005
ganeti2006

New ganeti racking schema

Row A rack A5
ganeti2007

Row C rack C5
ganeti2008

Please approve or modify new ganeti racking schema

  • racking schema approve ?
  • receive in and attach packing slip to parent task T161701
  • rack systems, update racktables
  • create mgmt dns entries (both asset tag and hostname)
  • create production dns entries (internal vlan)
  • update/create sub task with network port info for all new hosts
  • install_server module update (mac address and partitioning info, partition = ganeti.cfg)

Please provide HW RAID level

  • RAID 0
  • RAID 1
  • RAID 5
  • install os
  • puppet/salt accept
  • hand off to @akosiaris for service implementation.

Details

Related Gerrit Patches:

Event Timeline

Papaul created this task.Apr 27 2017, 4:16 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 27 2017, 4:16 PM
Papaul renamed this task from codfw: ganeti2007-ganeti2008 racking and onsite setup tasks to codfw: ganeti2007-ganeti2008 racking and onsite setup task.Apr 27 2017, 4:16 PM
RobH reassigned this task from Papaul to akosiaris.Apr 27 2017, 4:48 PM

So @akosiaris should review and approve of the racking layout, since he is the ganeti expert!

Alex: On these new nodes, do you want them distributed equally and thus put in row A and C as @Papaul suggests, or do these need to in the same row as the existing nodes? When checking eqiad or codfw, its unclear, since all of eqiads gaenti are in row c, and all of codfw's are in row b, so currently all ganeti nodes in a site are in the same row. Wasn't sure if that was intentional or merely happenstance.

Please advise, so @Papaul can move forward with racking, thanks! Also please reassign from @akosiaris to @Papaul once commented.

Mentioned in SAL (#wikimedia-operations) [2017-04-28T10:47:30Z] <akosiaris> migrate/evacuate ganeti2005, ganeti2006 for T164011

No, that rack schema wont work.

What we want to do is have 4 boxes per rack row. I am already emptying ganeti2005, ganeti2006. Those 2, alongside ganeti2007 and ganeti2008 should be put in a different rack row than row B. Row A would probably be a good idea. A quick look at racktables says that A2 and A4 (2 boxes per rack) looks like a good match. Alternatively if we don't want row A for some reason, C5 and C7 look like a good match as well

@RobH, @Papaul how does A2, A4 sound ?

I 've fully removed ganeti2005, ganeti2006 from the cluster and downtimed them in icinga for 2 months, then turned them off. Feel free to unrack them whenever you want.

Dzahn added a subscriber: Dzahn.Apr 28 2017, 4:11 PM

We have lots of room in A2 and A4 and we can move into A4, but we can't move into A2 because there is a 10G switch and the server just has 1G nic cards (would need adapter).

Dzahn added a comment.Apr 28 2017, 4:30 PM

ganeti2005 has been moved to A4 @ 16. switch: asw-a4-codfw: port ge-4/0/16 please configure switch

Dzahn added a comment.Apr 28 2017, 4:51 PM

ganeti2006 has been moved to A4 @ 17. switch: asw-a4-codfw: port ge-4/0/17 please configure switch

Dzahn added a comment.Apr 28 2017, 5:24 PM

2007 and 2008 should go into A5 then (still has to happen)

Mentioned in SAL (#wikimedia-operations) [2017-05-02T09:24:02Z] <akosiaris> remove configuration from ge-8/0/0, ge-8/0/3 from asw-b-codfw for ganeti2005, ganeti2006 move to row A. T164011

Mentioned in SAL (#wikimedia-operations) [2017-05-02T09:27:00Z] <akosiaris> create interface range ganeti on asw-a-codfw. T164011

Mentioned in SAL (#wikimedia-operations) [2017-05-02T09:29:01Z] <akosiaris> Set description for ganeti2005, ganeti2006 on asw-a-codfw. T164011

Change 351275 had a related patch set uploaded (by Alexandros Kosiaris; owner: Alexandros Kosiaris):
[operations/dns@master] Assign new IPs to ganeti2005, ganeti2006

https://gerrit.wikimedia.org/r/351275

We have lots of room in A2 and A4 and we can move into A4, but we can't move into A2 because there is a 10G switch and the server just has 1G nic cards (would need adapter).

Ah , indeed I forgot about that. Thanks.

2007 and 2008 should go into A5 then (still has to happen)

Sounds fine.

ganeti2005 has been moved to A4 @ 16. switch: asw-a4-codfw: port ge-4/0/16 please configure switch

Note that this is actually ge-4/0/15, not ge-4/0/16. Port configured

ganeti2006 has been moved to A4 @ 17. switch: asw-a4-codfw: port ge-4/0/17 please configure switch

Note that this is actually ge-4/0/16, not ge-4/0/17. Port configured

Change 351275 merged by Alexandros Kosiaris:
[operations/dns@master] Assign new IPs to ganeti2005, ganeti2006

https://gerrit.wikimedia.org/r/351275

Mentioned in SAL (#wikimedia-operations) [2017-05-02T10:44:26Z] <akosiaris> create new ganeti nodegroup called row_A holding ganeti2005, ganeti2006. Renamed the default nodegroup to row_B. T164011

Change 351303 had a related patch set uploaded (by Alexandros Kosiaris; owner: Alexandros Kosiaris):
[operations/dns@master] Assign IPs for ganeti2007, ganeti2008

https://gerrit.wikimedia.org/r/351303

Papaul claimed this task.May 4 2017, 3:36 PM
Papaul triaged this task as Medium priority.
Papaul updated the task description. (Show Details)May 4 2017, 3:45 PM
Papaul added a comment.May 4 2017, 3:48 PM

@akosiaris what HW RAID type I have to use to ganeti200[7-8]?

Change 351877 had a related patch set uploaded (by Papaul; owner: Papaul):
[operations/dns@master] DNS: Add mgmt dns entries for ganeti200[7-8]

https://gerrit.wikimedia.org/r/351877

Papaul updated the task description. (Show Details)May 4 2017, 4:24 PM

Change 351877 merged by Dzahn:
[operations/dns@master] DNS: Add mgmt dns entries for ganeti200[7-8]

https://gerrit.wikimedia.org/r/351877

Papaul updated the task description. (Show Details)May 5 2017, 4:03 PM

Change 351303 merged by Alexandros Kosiaris:
[operations/dns@master] Assign IPs for ganeti2007, ganeti2008

https://gerrit.wikimedia.org/r/351303

Papaul reassigned this task from Papaul to akosiaris.May 8 2017, 4:23 PM
Papaul updated the task description. (Show Details)

@akosiaris This is complete on my side you can take over.

akosiaris closed this task as Resolved.May 10 2017, 2:35 PM

ganeti2007, ganeti2008 are installed, fully updated (along with ganeti2005, ganeti2006) and part of the cluster. I 'll resolve this. Thanks @Papaul